## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanSourceTreeAttributeAllocator Class Reference

List of all members.

## Public Types

- typedef XalanSourceTreeAttr ObjectType
- typedef ObjectType::IndexType IndexType
- typedef ArenaAllocator< ObjectType > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XalanSourceTreeAttributeAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XalanSourceTreeAttributeAllocator ()
- ObjectType * create (const XalanDOMString &theName, const XalanDOMString &theValue, XalanSourceTreeElement *theOwnerElement=0, IndexType theIndex=0)
    Create an instance.
- void reset ()
    Delete all objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block.
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated.

## Member Typedef Documentation

typedef ArenaAllocator<ObjectType> XalanSourceTreeAttributeAllocator::ArenaAllocatorType

typedef ObjectType::IndexType XalanSourceTreeAttributeAllocator::IndexType

typedef XalanSourceTreeAttr XalanSourceTreeAttributeAllocator::ObjectType

typedef ArenaAllocatorType::size_type XalanSourceTreeAttributeAllocator::size_type

## Constructor & Destructor Documentation

XalanSourceTreeAttributeAllocator::XalanSourceTreeAttributeAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XalanSourceTreeAttributeAllocator::~XalanSourceTreeAttributeAllocator | ( |  | ) |

## Member Function Documentation

ObjectType* XalanSourceTreeAttributeAllocator::create | ( | const XalanDOMString & | theName,
|  | const XalanDOMString & | theValue,
|  | XalanSourceTreeElement * | theOwnerElement = 0,
|  | IndexType | theIndex = 0
| ) |

  | Create an instance. Parameters:
  theName | The name of the attribute
  theValue | The value of the attribute
  theOwnerDocument | The document that owns the instance
  theOwnerElement | The element that owns the instance
  theIndex | The document-order index of the node.
Returns: pointer to the instance

size_type XalanSourceTreeAttributeAllocator::getBlockCount | ( |  | ) | const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

size_type XalanSourceTreeAttributeAllocator::getBlockSize | ( |  | ) | const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

void XalanSourceTreeAttributeAllocator::reset | ( |  | ) |

| Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XalanSourceTreeAttributeAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.